<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku odbieranie.hh</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('odbieranie_8hh.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Funkcje</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku odbieranie.hh</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla odbieranie.hh:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8hh__incl.png" border="0" usemap="#aodbieranie_8hh" alt=""/></div>
<map name="aodbieranie_8hh" id="aodbieranie_8hh">
<area shape="rect" title=" " alt="" coords="5,5,104,31"/>
<area shape="rect" title=" " alt="" coords="27,79,82,104"/>
<area shape="poly" title=" " alt="" coords="57,31,57,65,52,65,52,31"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8hh__dep__incl.png" border="0" usemap="#aodbieranie_8hhdep" alt=""/></div>
<map name="aodbieranie_8hhdep" id="aodbieranie_8hhdep">
<area shape="rect" title=" " alt="" coords="144,5,243,31"/>
<area shape="rect" href="_serial_port_8hpp.html" title="Definicja klasy SerialPort." alt="" coords="142,79,245,104"/>
<area shape="poly" title=" " alt="" coords="196,44,196,79,191,79,191,44"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="65,152,185,177"/>
<area shape="poly" title=" " alt="" coords="175,116,138,154,134,150,171,112"/>
<area shape="rect" href="_serial_port_8cpp.html" title="Definicje metod klasy SerialPort." alt="" coords="210,152,313,177"/>
<area shape="poly" title=" " alt="" coords="216,112,252,150,248,154,212,116"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,225,125,251"/>
<area shape="poly" title=" " alt="" coords="109,190,77,227,73,223,105,186"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,225,224,251"/>
<area shape="poly" title=" " alt="" coords="146,186,179,223,175,227,142,190"/>
</map>
</div>
</div>
<p><a href="odbieranie_8hh_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:aac03f023f654bbad587c2f5c0894e0bf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="odbieranie_8hh.html#aac03f023f654bbad587c2f5c0894e0bf">RS232_Odbierz</a> (int DeskPortu, std::string &amp;Bufor, unsigned int IloscZnakow, unsigned int CzasOczekiwania_ms=2000)</td></tr>
<tr class="separator:aac03f023f654bbad587c2f5c0894e0bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="aac03f023f654bbad587c2f5c0894e0bf" name="aac03f023f654bbad587c2f5c0894e0bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac03f023f654bbad587c2f5c0894e0bf">&#9670;&#160;</a></span>RS232_Odbierz()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool RS232_Odbierz </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>DeskPortu</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string &amp;&#160;</td>
          <td class="paramname"><em>Bufor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>IloscZnakow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>CzasOczekiwania_ms</em> = <code>2000</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="odbieranie_8hh_aac03f023f654bbad587c2f5c0894e0bf_icgraph.png" border="0" usemap="#aodbieranie_8hh_aac03f023f654bbad587c2f5c0894e0bf_icgraph" alt=""/></div>
<map name="aodbieranie_8hh_aac03f023f654bbad587c2f5c0894e0bf_icgraph" id="aodbieranie_8hh_aac03f023f654bbad587c2f5c0894e0bf_icgraph">
<area shape="rect" title=" " alt="" coords="423,5,535,31"/>
<area shape="rect" href="class_serial_port.html#af29d6aadc436a6440cfa66fbf8c403ad" title="Odbiera dane z portu." alt="" coords="220,5,375,31"/>
<area shape="poly" title=" " alt="" coords="409,21,375,21,375,15,409,15"/>
<area shape="rect" href="_serial_port_8cpp.html#a6362cdaadde6e3f843a85a3713bb1e0c" title="Funkcja wykonywana przez wątek czytający." alt="" coords="104,5,172,31"/>
<area shape="poly" title=" " alt="" coords="207,21,172,21,172,15,207,15"/>
<area shape="rect" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97" title=" " alt="" coords="5,5,56,31"/>
<area shape="poly" title=" " alt="" coords="90,21,56,21,56,15,90,15"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="odbieranie_8hh.html">odbieranie.hh</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
